using System;
using System.Collections;
using System.Collections.Generic;
using BITKit.WorldNode;
using UnityEngine;

#if UNITY_5_3_OR_NEWER
namespace Net.Project.B.Interaction
{
    [Serializable]
    public class WorldInteractable : IWorldInteractable,IWorldNode
    {
        public GameObject gameObject;
        public IWorldInteractable Root => this;
        public IWorldInteractionType InteractionType => null;

        public object WorldObject
        {
            get => gameObject;
            set
            {
                if (value is GameObject go) gameObject = go;
            }
        }
    }
}
#endif
