using System;
using System.Collections;
using System.Collections.Generic;
using BITKit;
using BITKit.WorldNode;
#if UNITY_5_3_OR_NEWER
using UnityEngine;
#endif
namespace Net.Project.B.WorldNode
{
    [Serializable]
    public class UnityItemNode : IWorldNode
    {
#if UNITY_5_3_OR_NEWER
        [SerializeReference, SubclassSelector]
#endif
        private IReference itemPath;

        public string ItemPath
        {
            get => itemPath.Value;
            set => itemPath = new Reference(value);
        }
    }
}
